%define branch 0

%define __libtoolize    /bin/true

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

Name: kdeartwork
Version: 3.5.9
Release: %mkrel 1
Group: Graphical desktop/KDE
Summary: Kdeartwork
URL: ftp://ftp.kde.org/pub/kde/stable/%version/src/
License: GPL
Source: %name-%version.tar.bz2
Patch1:	kdeartwork-3.5.4-fix-screensaver-only-showin-kde.patch
Patch2:	kdeartwork-3.5.5-fix-default-inherits-theme.patch
Patch3:	kdeartwork-3.5.6-fix-screensaver-nodisplay.patch
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: X11-devel 
BuildRequires: freetype2-devel
BuildRequires: kdebase-devel 
BuildRequires: kdelibs-devel >= 3.2-13mdk 
BuildRequires: bzip2-devel 
BuildRequires: libintl 
BuildRequires: jpeg-devel 
BuildRequires: lcms-devel 
BuildRequires: mng-devel
BuildRequires: png-devel 
BuildRequires: qt3-devel
BuildRequires: libz-devel 
BuildRequires:	xscreensaver
BuildRequires:	xscreensaver-gl
BuildRequires: mesaglut-devel
BuildRequires: mesaglu-devel
BuildRequires: GL-devel
Requires: kdebase-progs >= 1:3.2
Requires: kdeartwork-screensavers
Provides: kdeartwork3 = %version
Provides: kde-style-phase 
Provides: kde-theme-phase
Provides: kwin-style-smoothblend
Obsoletes: kdemoreartwork-plastik < 3.5.3
Obsoletes: kde-style-phase kde-theme-phase
Obsoletes: kwin-style-smoothblend
Obsoletes: kdeartwork3 < 3.5.3
Conflicts: kdebase <= 2.2.2-93mdk
Conflicts: libkdebase4 <= 1:3.4.2-56mdk 
Conflicts: kdebase-common <= 1:3.4.2-56mdk

%description
Additional artwork (themes, sound themes, icons,etc...) for KDE.

%files
%defattr(-,root,root,-)
%_libdir/kde3/*
%_datadir/apps/kstyle
%_datadir/apps/kwin
%_datadir/apps/kworldclock
%_datadir/emoticons/*
%_datadir/wallpapers/*
%_datadir/sounds/*

#-------------------------------------------------------------------------

%package icons-theme-kdeclassic
Summary:  Default Icons from kde3.0 
Group: Graphical desktop/KDE
Obsoletes: kdeartwork-kde-classic

%description icons-theme-kdeclassic
Default Icons from kde3.0.

%files icons-theme-kdeclassic
%defattr(-,root,root,-)
%dir %_iconsdir/kdeclassic/
%_iconsdir/kdeclassic/*

#-------------------------------------------------------------------------

%package icons-theme-Locolor
Summary:  Default Icons from kde3.0 
Group: Graphical desktop/KDE

%description icons-theme-Locolor
Locolor icons theme

%files icons-theme-Locolor
%defattr(-,root,root,-)
%dir %_iconsdir/Locolor/
%_iconsdir/Locolor/*

#-------------------------------------------------------------------------

%package icons-theme-ikons
Summary:  Default Icons from kde3.0 
Group: Graphical desktop/KDE

%description icons-theme-ikons
ikons icons theme

%files icons-theme-ikons
%defattr(-,root,root,-)
%dir %_iconsdir/ikons/
%_iconsdir/ikons/*

#-------------------------------------------------------------------------

%package icons-theme-kids
Summary:  Default Icons from kde3.0 
Group: Graphical desktop/KDE

%description icons-theme-kids
kids icons theme

%files icons-theme-kids
%defattr(-,root,root,-)
%dir %_iconsdir/kids/
%_iconsdir/kids/*

#-------------------------------------------------------------------------

%package icons-theme-slick
Summary:  Default Icons from kde3.0 
Group: Graphical desktop/KDE

%description icons-theme-slick
Slick icons theme

%files icons-theme-slick
%defattr(-,root,root,-)
%dir %_iconsdir/slick/
%_iconsdir/slick/*

#-------------------------------------------------------------------------

%package screensavers
Summary: Screensaver using OpenGL 
Group: Graphical desktop/KDE
Requires: kdebase-progs >= 3.2
Obsoletes: kdeartwork <= 3.5.7-%mkrel 1

%description screensavers
Screensaver using OpenGL.

%files screensavers -f savers.files
%defattr(-,root,root,-)
%_bindir/kxsrun
%_bindir/kxsconfig
%_datadir/apps/kfiresaver
%_datadir/apps/kscreensaver

#-------------------------------------------------------------------------

%package screensavers-gl
Summary: Screensaver using OpenGL 
Group: Graphical desktop/KDE
Requires: kdebase-progs >= 3.2
Requires: %name-screensavers
Requires: xscreensaver-gl
Obsoletes: kdeartwork <= 3.5.7-%mkrel 1
Obsoletes: kdeartwork-screensaver-gl

%description screensavers-gl
Screensaver using OpenGL.

%files screensavers-gl -f glsavers.files
%defattr(-,root,root,-)

#-------------------------------------------------------------------------

%prep
%setup  -q
%patch1 -p1 -b .fix_screensaver_onlyshowinkde
%patch2 -p1 -b .fix_inherit_theme
%patch3 -p1 -b .fix_screensaver_nodisplay

%build
%configure2_5x \
	%if %unstable
		--enable-debug=full \
	%else
		--disable-debug \
	%endif
		--enable-shared \
	%if %use_enable_final
		--enable-final \
	%else
		--disable-final \
	%endif
		--disable-static \
		--disable-rpath \
	%if "%{_lib}" != "lib"
		--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
	%endif	
		--with-xinerama

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot

install -d %buildroot/%_menudir/

export PATH=%_bindir:$PATH

# Legal issues ?
rm -f %buildroot/%_bindir/kmatrix.kss
rm -f %buildroot/%_datadir/applnk/System/ScreenSavers/KMatrix.desktop
rm -f %buildroot/%_datadir/applnk/System/ScreenSavers/glmatrix.desktop
rm -f %buildroot/%_datadir/applnk/System/ScreenSavers/xmatrix.desktop

# Screensaver list
rm -f glsavers.files savers.files
for name in `find %buildroot -type f |grep ScreenSaver`; do
     if grep -qs "Type=OpenGL" $name; then 
        echo $name | sed -e "s,%buildroot/usr/share,%_datadir,g" >> glsavers.files
        if ! grep -qs "TryExec=xscreensaver" $name; then
            grep Exec= $name | grep -v TryExec | head -1 | sed -e "s,Exec=,%_bindir/,g" -e "s, .*,,g" >> glsavers.files
        fi
     else
        echo $name | sed -e "s,%buildroot/usr/share,%_datadir,g" >> savers.files
        if ! grep -qs "TryExec=xscreensaver" $name; then
            if ! grep -qs "fiberlamp" $name; then
            grep Exec= $name | grep -v TryExec | head -1 | sed -e "s,Exec=,%_bindir/,g" -e "s, .*,,g" >> savers.files
            fi
        fi
    fi 
done

%clean
rm -fr %buildroot



%changelog
* Fri Feb 15 2008 Helio Chissini de Castro <helio@mandriva.com> 3.5.9-1mdv2008.1
+ Revision: 169159
- Get away from branches. Last KDE 3 arriving !!
- Removed post-3.5.8 patches integrated

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 31 2007 Oden Eriksson <oeriksson@mandriva.com> 3.5.8-2mdv2008.1
+ Revision: 139862
- rebuilt against openldap-2.4.7 libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add usptream 3.5.9 branch patches
      	- Be more random with the slideshow screensaver.
      	- Handle properly display height/width ratio.

* Sun Oct 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.5.8-1mdv2008.1
+ Revision: 102776
- Kde 3.5.8

* Sat Jun 09 2007 Helio Chissini de Castro <helio@mandriva.com> 3.5.7-3mdv2008.0
+ Revision: 37629
- Split packages
- Remove broken changelog on spec
- Separate screensaver and icon packages properly

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add a Obsoletes for kwin-style-smoothblend (bug #25452)

* Wed May 16 2007 Helio Chissini de Castro <helio@mandriva.com> 3.5.7-1mdv2008.0
+ Revision: 27459
- 3.5.7 release


* Sat Mar 31 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-2mdv2007.1
+ Revision: 149988
- don't display screensaver
- 3.5.6
- Use iconsdir macro
- Fix inherite theme

* Wed Oct 18 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-1mdv2007.1
+ Revision: 65948
- 3.5.5

* Sat Sep 16 2006 Laurent Montel <lmontel@mandriva.com> 3.5.4-3mdv2007.0
+ Revision: 61557
- New package(2006-09-15 3mdv)
  Fix only show screensaver into kde

* Fri Sep 01 2006 Laurent Montel <lmontel@mandriva.com> 3.5.4-2mdv2007.0
+ Revision: 58952
- Fix upgrade
- New package (2006/08/04 3.5.4-1mdv)
- don't requires on metapackage
- Fix compile on mdk2006
- 3.5.3
- Rebuild against new xorg
- Rebuild to generate category
- Fix spec file
- 3.5.2
- Fix spec file
- Fix spec file
- 3.5.1
- Enable debug for cooker
  MDK9.2 is obsolete now
- Fix conflict with mdk2006
- Fix compile on mdk <2006
- Fix file list for mdk 2006
- Fix spec file
- real 3.5.0
- 3.5.0
- Rebuild with new qt3.3.5
- Add conflict with kdebase
- 3.4.92
- Fix build on x86_64
- Rebuild
- Obsolete/provides kde-style-phase kde-theme-phase
  Patch from neoclust
- 3.4.2

  + Helio Chissini de Castro <helio@mandriva.com>
    - Cleaned spec
    - Added tarball from kde branch as discussed on meeting in 28/06
    - Removed rpath and added configure macro invalidating libtoolize
    - We are Mandriva now
    - Uploading package ./kdeartwork

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Rebuild

* Wed Apr 20 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Add BuildREquires on xscreensaver-gl (reported by Arnaud de Lorbeau )

* Sat Apr 16 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-2mdk
- Change email
- Activate debug
- Active -fvisibility same as for ppc
- Use --enable-new-ldflags

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Mon Mar 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Rebuild

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Add patch10: fix other plastik ininitialise variable

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Add patch9: fix plastik initial variable

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Disable debug

* Thu Jan 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Fix screensaver (use directly screensaver into applnk, it's hidden by default and it fixed all bug with new xdg menu (for screensaver))

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Fix plastik kde bug #97681
- Don't use -fvisibility for ppc

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Add patch7: allow to disable visibility

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Add patch6: fix plastik kde bug #73873

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Now plastik style

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Fix other kde_export

* Sat Jan 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Fix export into plastik style

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Use -fvisibility

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Bye-bye %%buildfor

* Wed Oct 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Sat Oct 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-5mdk
- Sync with CVS

* Fri Oct 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-4mdk
- Fix menu entry

* Sat Sep 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Remove dependance on xscreensaver

* Thu Sep 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Sync with CVS

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Add patch7: fix kde bug #83406 "kslideshow screensaver does not start nor
					configure when images directory does not exist anymore"

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Remove explicite requires just for icons

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Disable debug

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Add patch6: fix kde1 style kde bug #73592

* Fri Jul 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- fix spec file

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Remove rpath

* Thu Jul 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Create package for opengl screensaver

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Rebuild with new kdedesktop2mdkmenu.pl

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Create screensaver from xscreensaver

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Sat Jun 05 2004 Montel Laurent <lmontel@mandrakesoft.com> 3.2.2-5mdk
- Rebuild

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild with debug

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Rebuild against qt 3.3.2

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Fix twice 64x64 directory bug reported by Pascal BILLERY-SCHNEIDER <pascal.billery-schneider@bluewin.ch>

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file to using rpmbuildupdate

* Sat Apr 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

